
#ifndef OWNCLOUDSYNC_EXPORT_H
#define OWNCLOUDSYNC_EXPORT_H

#ifdef OWNCLOUD_BUILT_AS_STATIC
#  define OWNCLOUDSYNC_EXPORT
#  define OWNCLOUDSYNC_NO_EXPORT
#else
#  ifndef OWNCLOUDSYNC_EXPORT
#    ifdef owncloudsync_EXPORTS
        /* We are building this library */
#      define OWNCLOUDSYNC_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define OWNCLOUDSYNC_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef OWNCLOUDSYNC_NO_EXPORT
#    define OWNCLOUDSYNC_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef OWNCLOUDSYNC_DEPRECATED
#  define OWNCLOUDSYNC_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef OWNCLOUDSYNC_DEPRECATED_EXPORT
#  define OWNCLOUDSYNC_DEPRECATED_EXPORT OWNCLOUDSYNC_EXPORT OWNCLOUDSYNC_DEPRECATED
#endif

#ifndef OWNCLOUDSYNC_DEPRECATED_NO_EXPORT
#  define OWNCLOUDSYNC_DEPRECATED_NO_EXPORT OWNCLOUDSYNC_NO_EXPORT OWNCLOUDSYNC_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef OWNCLOUDSYNC_NO_DEPRECATED
#    define OWNCLOUDSYNC_NO_DEPRECATED
#  endif
#endif

#endif /* OWNCLOUDSYNC_EXPORT_H */
